## sqlitebrowser 1.3

=== Makefile ===
#############################################################################
# Makefile for building: sqlitedbbrowser
# Generated by qmake (1.07a) (Qt 3.3.5) on: Thu May  4 11:21:56 2006
# Project:  sqlitedbbrowser.pro
# Template: subdirs
# Command: $(QMAKE) -o Makefile sqlitedbbrowser.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p
INSTALL_FILE= 
INSTALL_DIR = 
SUBTARGETS =	 \
		sub-sqlitebrowser-sqlite_source \
		sub-sqlitebrowser

first: all

all: Makefile $(SUBTARGETS)

sqlitebrowser/sqlite_source/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "sqlitebrowser/sqlite_source" || $(MKDIR) "sqlitebrowser/sqlite_source"
	cd sqlitebrowser/sqlite_source && $(QMAKE) sqlite_source.pro -o $(MAKEFILE)
sub-sqlitebrowser-sqlite_source: sqlitebrowser/sqlite_source/$(MAKEFILE) FORCE
	cd sqlitebrowser/sqlite_source && $(MAKE) -f $(MAKEFILE)

sqlitebrowser/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "sqlitebrowser" || $(MKDIR) "sqlitebrowser"
	cd sqlitebrowser && $(QMAKE) sqlitebrowser.pro -o $(MAKEFILE)
sub-sqlitebrowser: sqlitebrowser/$(MAKEFILE) FORCE
	cd sqlitebrowser && $(MAKE) -f $(MAKEFILE)

Makefile: sqlitedbbrowser.pro  /Developer/qt/mkspecs/default/qmake.conf 
	$(QMAKE) -o Makefile sqlitedbbrowser.pro
qmake: qmake_all
	@$(QMAKE) -o Makefile sqlitedbbrowser.pro

all: $(SUBTARGETS)
qmake_all: sqlitebrowser/sqlite_source/$(MAKEFILE) sqlitebrowser/$(MAKEFILE)
	 ( [ -d sqlitebrowser/sqlite_source ] && cd sqlitebrowser/sqlite_source ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d sqlitebrowser ] && cd sqlitebrowser ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
clean uicables mocables uiclean mocclean lexclean yaccclean : qmake_all FORCE
	 ( [ -d sqlitebrowser/sqlite_source ] && cd sqlitebrowser/sqlite_source ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d sqlitebrowser ] && cd sqlitebrowser ; $(MAKE) -f $(MAKEFILE) $@; ) || true
uninstall_subdirs: qmake_all FORCE
	 ( [ -d sqlitebrowser/sqlite_source ] && cd sqlitebrowser/sqlite_source ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
	 ( [ -d sqlitebrowser ] && cd sqlitebrowser ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
install_subdirs: qmake_all FORCE
	 ( [ -d sqlitebrowser/sqlite_source ] && cd sqlitebrowser/sqlite_source ; $(MAKE) -f $(MAKEFILE) install; ) || true
	 ( [ -d sqlitebrowser ] && cd sqlitebrowser ; $(MAKE) -f $(MAKEFILE) install; ) || true
distclean: qmake_all FORCE
	 ( [ -d sqlitebrowser/sqlite_source ] && cd sqlitebrowser/sqlite_source ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d sqlitebrowser ] && cd sqlitebrowser ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true

install:  install_subdirs

uninstall:  uninstall_subdirs

FORCE:
