## sqlitebrowser 2.0.0~beta1+ds.1

=== debian/changelog ===
sqlitebrowser (2.0.0~beta1+ds.1-3) unstable; urgency=low

  * Use current alioth urls for Vcs-Browser and Vcs-Git
  * Apply patch from Pablo Duboue to replace newlines with in the schema
    browser (Closes: #520345)
  * Update to debhelper 9
  * Update Standards-Version to 3.9.3.0, no changes
  * Add patch to fix qDebug() use in edittableform::renameTable()

 -- Arto Jantunen <viiru@debian.org>  Thu, 22 Mar 2012 20:42:40 +0200

sqlitebrowser (2.0.0~beta1+ds.1-2) unstable; urgency=low

  * Take over as maintainer
  * Apply patch from Grzegorz Bizon <grzesiek@ntsn.pl> to avoid segfaults when 
    the user cancels instead of choosing a name for a new db (Closes: #617680)
  * Add Vcs-Browser and Vcs-Git fields to control
  * Change Section to database to match override
  * Add patch to use QString::fromLocal8Bit when reading argv (Closes: #556649)
  * Update Debian packaging parts of debian/copyright

 -- Arto Jantunen <viiru@debian.org>  Thu, 19 May 2011 17:23:07 +0300

sqlitebrowser (2.0.0~beta1+ds.1-1) unstable; urgency=low

  * QA upload.
  * New upstream release (Closes: #561643).
    - Based on Qt4 (Closes: #604586).
    - Fixes FTBFS of previous version (Closes: #551206).
  * Set Maintainer to Debian QA Group.
  * Change B-D to libqt4-dev and sqlite3-dev.
  * Add a patch to use sqlite3 provided by Debian.
  * Add a patch to initialize QStrings with an empty string instead of an
    integer, thus avoiding a FTBFS.
  * Bumped Standards-Version to 3.9.2. No changes required.
  * Switch to source format 3.0 (quilt).
  * Remove "Encoding" field in desktop file. Now it must be UTF-8.
  * Improve package description (Closes: #505458).

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Wed, 27 Apr 2011 18:53:00 -0300

sqlitebrowser (1.3-2.3) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * debian/control
    - (Build-Depends): Add quilt due to patch.
  * debian/rules:
    - Add quilt.
  * debian/patches
    - (number 10): Add patch to fix Gcc 4.4 error: conflicting types
      for getline (RC bug FTBFS serious; Closes: #552854).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 16 Jan 2010 18:13:19 +0200

sqlitebrowser (1.3-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * build against Debian libsqlite3. Wanting to use one or two internal
    functions is no excuse for embedding the whole thing.
    Closes: #441900

 -- Thomas Viehmann <tv@beamnet.de>  Tue, 07 Oct 2008 22:17:48 +0200

sqlitebrowser (1.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Applying patch by Thiemo Seufer to fix FTBFS on builds using sudo
  (Closes: #495100)
  * Fixing two minor lintian warnings:
    * adding call to dh_desktop to debian/rules
    * moving Homepage URL from Package description to proper frield in
      debian/control

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 07 Oct 2008 22:38:10 +0200

sqlitebrowser (1.3-2) unstable; urgency=low

  * source.lintian-overrides: added lintian overrides for CVS directories
  * sqlitebrowser.desktop: fixed category
  * menu: adhere to new the menu policy

 -- François Févotte <francois.fevotte@ensta.org>  Sat, 01 Sep 2007 14:51:34 +0200

sqlitebrowser (1.3-1) unstable; urgency=low

  * Initial release (Closes: #427080)

 -- François Févotte <francois.fevotte@ensta.org>  Sat, 04 Aug 2007 23:15:39 +0200
