=== debian/changelog ===
sqlitebrowser (3.2.0-1) unstable; urgency=medium

  * New upstream version (Closes: #749591)
  * Remove patches, superseded upstream
  * Update build-deps for new version, add cmake, libantlr-dev and
    libqcustomplot-dev
  * Apply patch to use external qcustomplot and antlr
  * Allow cmake to install the sqlitebrowser binary
  * Remove outdated README.source
  * Use the upstream desktop file and icon
  * Apply patch to change the desktop icon path
  * Update Standards-Version to 3.9.5.0, no changes
  * Update upstream homepage
  * Update copyright info to match current upstream
  * Build against Qt5 instead of Qt4

 -- Arto Jantunen <viiru@debian.org>  Fri, 25 Jul 2014 19:56:48 +0300
