=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: database
 Priority: extra
 Maintainer: Arto Jantunen <viiru@debian.org>
-Build-Depends: debhelper (>= 9), libqt4-dev, libsqlite3-dev
-Standards-Version: 3.9.3.0
-Homepage: http://sqlitebrowser.sourceforge.net/
+Build-Depends: debhelper (>= 9), qtbase5-dev, libsqlite3-dev, cmake, libantlr-dev, libqcustomplot-dev
+Standards-Version: 3.9.5.0
+Homepage: http://sqlitebrowser.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sqlitebrowser.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/sqlitebrowser.git
