=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 %:
 	dh $@ --parallel 
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DUSE_QT5=True
