=== debian/changelog ===
sqlitebrowser (3.5.1-3build1) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 10:55:10 +0000

sqlitebrowser (3.5.1-3) unstable; urgency=medium

  * Set LC_ALL instead of LANG when running tests (Closes: #787679)

 -- Arto Jantunen <viiru@debian.org>  Fri, 05 Jun 2015 21:42:03 +0300

sqlitebrowser (3.5.1-2) unstable; urgency=medium

  * The "Yay Jessie!" release
  * Upload to unstable

 -- Arto Jantunen <viiru@debian.org>  Sun, 26 Apr 2015 12:10:15 +0300

sqlitebrowser (3.5.1-1) experimental; urgency=medium

  * New upstream version
  * Remove patch 0002, included upstream
  * Refresh patch 0001

 -- Arto Jantunen <viiru@debian.org>  Sun, 15 Mar 2015 19:59:55 +0200

sqlitebrowser (3.4.0-2) experimental; urgency=medium

  * Apply patch from upstream to fix TestImport QCoreApplication
    parameters

 -- Arto Jantunen <viiru@debian.org>  Tue, 20 Jan 2015 17:55:09 +0200

sqlitebrowser (3.4.0-1) experimental; urgency=medium

  * New upstream version
  * Rebase patches to fit the new version
  * Add build-dep on qttools5-dev and qttools5-dev-tools
  * Run post-build tests (Closes: #770604)
  * Use system antlr for the tests as well
  * Bump Standards-Version to 3.9.6.0, no changes

 -- Arto Jantunen <viiru@debian.org>  Fri, 16 Jan 2015 19:13:26 +0200
