=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,22 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DUSE_QT5=True
+
+override_dh_clean:
+	[ ! -f tests/Makefile ] || $(MAKE) -C tests clean
+	$(RM) -rv \
+		tests/CMakeCache.txt \
+		tests/moc_TestImport.cpp \
+		tests/moc_sqlitedb.cpp \
+		tests/moc_sqlitetablemodel.cpp \
+		tests/moc_testsqlobjects.cpp \
+		tests/CMakeFiles/ \
+		tests/Makefile \
+		tests/antlr/ \
+		tests/cmake_install.cmake
+	dh_clean
+
+override_dh_auto_test:
+	cd tests && cmake . -DUSE_QT5=True
+	$(MAKE) -C tests
+	cd tests && LC_ALL=C.UTF-8 ./sqlb-unittests
